### Method

# Gio Credentials to_string

since: 2.26

#### Declaration [src]

    gchar*
    g_credentials_to_string (
      GCredentials* credentials
    )

#### Description [src]

Creates a human-readable textual representation of `credentials` that can be used in logging and debug messages. The format of the returned string may change in future GLib release.

Available since: 2.26

#### Return value

Type: `gchar*`

A string that should be freed with g_free().

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.